Subject: bug#8439: [PATCH] ffap.el -- detect paths with spaces (v2)

From: "Andrew W. Nosenko" <[email-masked]>
Date: Sat, 20 Oct 2012 01:57:43 +0300

On Sat, Oct 20, 2012 at 1:36 AM, Yigal Hochberg
<[email-masked]> wrote:
> Eli, Andrew:
>
> What Jari did is an excellent solution (increment cheeking if file exists).
> From a user point of view it is very powerful and useful.
>
> Marking a region is trivial but way too costly for me. I want to be one keystroke
> away from getting this file.

O, sorry, sorry and sorry again!  I ever didn't mind that my
"fallback" proposal can sound so seriously!  It was intended as a very
last resort, if there will be no reasonable way to avoid 50%/50% false
positive/negative ratio.  Logic was very simple: in any way to mark a
region and call a function is faster than to mark a region, copy, call
a function, paste and, optionally if copied pathname is relative, move
to the beginning of the pasted pathname and then to kill to the
beginning of minibuffer.

> On Windows I use these type of paths:
>
> c:/Program Files/Open Text Evaluation Media/Open Text Exceed 14 x86/Program Files/Hummingbird/Connectivity/14.00/Default User/PerUser Settings.ini
> c:\Program Files\Open Text Evaluation Media\Open Text Exceed 14 x86\Program Files\Hummingbird\Connectivity\14.00\Default User\PerUser Settings.ini
>
> c:/Program Files/Open Text Evaluation Media/Open Text Exceed 14 x86/Program Files/Hummingbird/
> c:\Program Files\Open Text Evaluation Media\Open Text Exceed 14 x86\Program Files\Hummingbird\
>
> With Jari solution I can get to the file/dir in one keystroke.
> I think that this is the power of emacs. No?
>
> Thanks,
>
> Yigal
>
>
> On Fri, Oct 19, 2012 at 6:23 PM, Eli Zaretskii <[email-masked]> wrote:
>>> Date: Sat, 20 Oct 2012 00:47:55 +0300
>>> From: "Andrew W. Nosenko" <[email-masked]>
>>> Cc: Jari Aalto <[email-masked]>, [email-masked], [email-masked]
>>>
>>> >>   2. The "path skipping" is based on finding longest distance:
>>> >>
>>> >>      - from first "drive letter", "/" or "\"
>>> >>      - until last "/", "\" followed by last non-matching-char-not-usually-found-in-file-names
>>> >
>>> > What will this do to text such as the one below?
>>> >
>>> >  C:\emacs\bin\prog1.exe on Windows or /usr/bin/prog1 on Unix.
>>>
>>> Eli, excuse me very much, but you cheating.
>>
>>Actually, I had this weird idea that maybe the suggested heuristics
>>could be improved.  Now I'm sorry that I have spoken.
>>

-- 
Andrew W. Nosenko <[email-masked]>